com.tibbo.aggregate.common.security

## Class PermissionCache

- java.lang.Object
- - com.tibbo.aggregate.common.security.PermissionCache

-     public class PermissionCache
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PermissionCache()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cacheLevel(java.lang.String accessedPath, java.lang.Integer accessedEntityType, java.lang.String accessedEntity, java.lang.String level, boolean hasPermissionsForEntities)`
    `void` | `cacheRoleBasedLevel(java.lang.String accessedPath, java.lang.Integer accessedEntityType, java.lang.String accessedEntity, java.lang.Integer level, boolean hasPermissionsForEntities)`
    `java.lang.String` | `getLevel(java.lang.String accessedPath, java.lang.Integer accessedEntityType, java.lang.String accessedEntity)`
    `java.util.Map<java.lang.String,java.lang.String>` | `getLevelByContext()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getLevelByEntity()`
    `java.lang.Integer` | `getRoleBasedLevel(java.lang.String accessedPath, EntityDefinition accessedEntityDefinition)`
    `java.util.Map<java.lang.String,java.lang.Integer>` | `getRoleBasedlevelByContext()`
    `java.util.Map<java.lang.String,java.lang.Integer>` | `getRoleBasedlevelByEntity()`
    `void` | `removeContext(java.lang.String path)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PermissionCache

          public PermissionCache()

  - ### Method Detail

    - #### getLevel

          public java.lang.String getLevel(java.lang.String accessedPath,
                                           java.lang.Integer accessedEntityType,
                                           java.lang.String accessedEntity)

    - #### cacheLevel

          public void cacheLevel(java.lang.String accessedPath,
                                 java.lang.Integer accessedEntityType,
                                 java.lang.String accessedEntity,
                                 java.lang.String level,
                                 boolean hasPermissionsForEntities)

    - #### getRoleBasedLevel

          public java.lang.Integer getRoleBasedLevel(java.lang.String accessedPath,
                                                     EntityDefinition accessedEntityDefinition)

    - #### cacheRoleBasedLevel

          public void cacheRoleBasedLevel(java.lang.String accessedPath,
                                          java.lang.Integer accessedEntityType,
                                          java.lang.String accessedEntity,
                                          java.lang.Integer level,
                                          boolean hasPermissionsForEntities)

    - #### removeContext

          public void removeContext(java.lang.String path)

    - #### getLevelByContext

          public java.util.Map<java.lang.String,java.lang.String> getLevelByContext()

    - #### getLevelByEntity

          public java.util.Map<java.lang.String,java.lang.String> getLevelByEntity()

    - #### getRoleBasedlevelByContext

          public java.util.Map<java.lang.String,java.lang.Integer> getRoleBasedlevelByContext()

    - #### getRoleBasedlevelByEntity

          public java.util.Map<java.lang.String,java.lang.Integer> getRoleBasedlevelByEntity()